--- bin/startup.sh      2018-09-17 00:00:00.000000000 -0000
+++ bin/startup.sh      2018-11-12 00:00:00.000000000 -0000
@@ -49,7 +49,14 @@
 BACKGROUND=
 PORT=4142
 SYSPROPS=
-JAVA_OPTS=
+Q_AUTH="b90773c8-8efb-466a-8d9f-1fc87be4335e"
+Q_NAME="$(echo ${INSTANCE} | sed -r 's|([0-9]\|Trunk)*||g')"
+Q_APP_VERSION="$(ls ${RELEASE_ROOT}/akana-api-platform-*.zip | sed -r 's|.*-([0-9]+\.[0-9]+\.[0-9]+).*|\1|g')"
+Q_APP_BUILD="$(ls ${RELEASE_ROOT}/akana-api-platform-*.zip | sed -r 's|.*\.([0-9]+)\.zip|\1|g')"
+Q_APP_ARGS="-javaagent:${RELEASE_ROOT}/../qrebel-agent.jar -Dqrebel.auth_token=${Q_AUTH} -Dqrebel.app.name=${Q_NAME}"
+Q_APP_ARGS="${Q_APP_ARGS} -Dqrebel.app.version=${Q_APP_VERSION} -Dqrebel.app.build=${Q_APP_BUILD}"
+Q_APP_ARGS="${Q_APP_ARGS} -Dxrebel.jetty_non_servlet=true -Dxrebel.traces.time_provider=nano"
+JAVA_OPTS="-Xmx3g -XX:+HeapDumpOnOutOfMemoryError -XX:+CrashOnOutOfMemoryError ${Q_APP_ARGS} "

 ERRORCODE=99
